Subject: Re: Any interest in Modem descriptors in IP gateways?

From: Ami Amir <[email-masked]>
Date: Wed, 15 Sep 1999 14:50:07 +0300

Hi

I am not an H.324 expert, but there seems to be an interest in
H.324M(mobile). My guess is that the problem is very similar to the issues
of H.320 (e.g. support for H.245) and hence tunneling of H.324M might make
sense.

Ami Amir
RADVision
-----Original Message-----
From: Gunnar Hellstrom [mailto:[email-masked]]
Sent: 15 September, 1999 07:41
To: [email-masked]
Subject: Any interest in Modem descriptors in IP gateways?

Dear Modem experts.
-------------------
In Q13/16 and IETF Megaco, there is important work going on with the gateway
control protocol H.248. It is far advanced, and the basics are planned to be
there to define the white doc in the October meeting of Q13. The discussions
are held in the IETF Megaco mail list.

In Santiago, some interest was pulled up for getting modem traffic defined
in this gateway. That topic has now appeared again. Quite late in the
process.

I am of course interested to get V.18 defined so that it can be used as the
link between text telephone services in PSTN and the corresponding services
in the IP and mobile networks. But is there any more general interest?

Is there any push for PSTN H.324 Multimedia gatewaying to IP mulimedia? If
so, the V.34 modem should be defined in the H.248 Modem Descriptor.

If there is an interest for modem descriptors. A general structure is needed
for how modems in gateway terminations are controlled, what properties they
may have, and what events they need to inform on.

Regards

Gunnar Hellström
LM Ericsson

Copy from a discussion on modem support in H.248 in the Megaco list,
starting with a response from Brian Rosen.
-<<<<<<<<<<<<<<<<<<<<

Keeping in mind that Megaco/H.248 is a gateway control
protocol and not a RAS, I expect there needs to be several
parameters in the Modem descriptor.  What we need is a
concrete proposal, and I would expect the most expeditious
way to do that is to bring a contribution to Red Bank,
although an I-D in the IETF would also be a reasonable way
to start discussion.

Right now we are in a position I am very uncomfortable
with - we have this half done descriptor, with nothing
but an (expanding) list of modem choices, and no controls.
My sentiments on such things are, uh, well known?
If they aren't actually useful, delete them until they
are brought up to the level of the rest of the document.

If someone who plans to build a decomposed gateway incorporating a modem
would care to think carefully and let us know if just having the name of the
modem (list of choices is actually allowed) is functional enough to build
such a beast, then we can leave what we have in the text.
If you need other parameters to do anything sensible, then let's delete the
descriptor, write up a complete
description & ABNF (or ASN.1, I'll translate), and we can
consider putting it back in some later edition.

With the present definition of a package, you cannot add
parameters to the Modem descriptor.  If you would care to redefine the modem
to be a kind of termination, as the Mux termination is, then packages would
be an appropriate way to add additional properties.  Expanding the
definition of a package to cover modem would be unwise in my opinion.

Brian

> -----Original Message-----
> From: Gunnar Hellstrom [mailto:[email-masked]]
> Sent: Tuesday, September 14, 1999 1:33 AM
> To: [email-masked]
> Subject: SV: ModemDescriptor proposed text
>
>
> I support the ModemDescriptor proposal, and the inclusion of
> V.18 in the
> list of possible modems.
>
> A modem usually implements a set of options, and is controlled by some
> mechanism for its control.
>
> One option, mandatory in some modems, is the handshaking
> protocol V.8 bis,
> that can be used during a voice call on a voice line to
> detect a modem at
> the other end and negotiate what modem type should be activated.
>
> The common control language for modems; V.250 - V.253; (AT command
> standards) reflect some functionality in modems expressed in
> an ordered way.
>
> Questions:
> 1. I assume that there is a need for common definitions on
> some level of
> such common features of modems. Can these aspects be left to package
> authors?
>
> 2. V.18 is made so that it can coexist with other modems and
> be actively
> monitoring a voice line for text telephone signals. That
> functionality can
> be important in a gateway. This functionality seems possible
> by adding more
> than one modem package type to a termination and activate
> them concurrently
> to monitor the line. Agree?
>
> Regards
> Gunnar Hellström
>
> ______________________________________
> Gunnar Hellström
> LM Ericsson
> Sweden
>
> Tel +46 751 100 501
> Fax +46 8 556 002 06
> Video +46 8 556 002 05
> Txt (All kinds) +46 8 556 002 05
> E-mail [email-masked]
> WWW:     http://www.omnitor.se
>
>
> > -----Ursprungligt meddelande-----
> > Från: Media Gateway Control (megaco)
> > [mailto:[email-masked]]För Nancy-M Greene
> > Skickat: den 8 september 1999 23:43
> > Till: [email-masked]
> > Ämne: ModemDescriptor proposed text
> >
> >
> > Just as there is a list of multiplexer types in the protocol, we
> > need to add
> > the same kind of list for modem types. Based on text
> telephony and NAS
> > requirements, I propose the following be added to the
> Megaco protocol.
> >
> > Proposed text for the ModemDescriptor section:
> >
> > The Modem descriptor specifies the modem type and
> parameters, if any. The
> > descriptor includes the modem types:
> > - V.18
> > - V.34
> > - V.90
> > - V.91
> > - Synch ISDN
> >
> > By default, no modem descriptor is present in a Termination.
> >
> > ------
> > Change ABNF as follows:
> >
> > modemDescriptor = ModemToken EQUAL ModemType
> >
> > ModemType = (V18Token | V34Token | V90Token |
> >                        V91Token | SynchISDNToken |
> extensionParameter)
> >
> > V18Token = ("V18")
> > V34Token = ("V34")
> > V90Token = ("V90")
> > V91Token = ("V91")
> > SynchISDNToken = ("SynchISDN")
> >
> > Nancy
> >
> >
> >
> --------------------------------------------------------------
> ------------
> > Nancy M. Greene
> > Internet & Service Provider Networks, Nortel Networks
> > T:514-271-7221 (internal:ESN853-1077) E:[email-masked]
> >
>

______________________________________
Gunnar Hellström
LM Ericsson
Sweden

Tel +46 751 100 501
Fax +46 8 556 002 06
Video +46 8 556 002 05
Txt (All kinds) +46 8 556 002 05
E-mail [email-masked]
WWW:     http://www.omnitor.se